#include <iostream>
#include <cstdlib>
#include "detect_hacking.h"

using namespace std;
using namespace security_tools;

int
main(int argc, char ** argv)
{
   try {
      detect_hacking();

      cout << "Hacking of this file not found..." << endl;
   }
   catch(hacking_exception he) {
      cout << "Hacking detected..." << endl;
   }
   catch(...) {
      cout << "Something else happened..." << endl;
   }

   return 0;
}
